LibreOffice: XSystemClipboard Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XSystemClipboard Interface Referencepublished

Provides a unified interface for new-style service SystemClipboard. More...

`import "XSystemClipboard.idl";`

Inheritance diagram for XSystemClipboard:

## Exported Interfaces
interface | XClipboardEx
| Provides access to the clipboard content.
interface | XClipboardNotifier
| Provides the ability to request notifications on content changes.
interface | XFlushableClipboard
| Provides the ability to render the complete clipboard content.
interface | com::sun::star::lang::XComponent
| For shutdown and listener support.

## Additional Inherited Members
Public Member Functions inherited from XClipboardEx
byte | getRenderingCapabilities ()
| To determine the supported rendering capabilities of the clipboard instance.
Public Member Functions inherited from XClipboard
com::sun::star::datatransfer::XTransferable | getContents ()
| To get the current content of the clipboard.
void | setContents ([in] com::sun::star::datatransfer::XTransferable xTrans, [in] XClipboardOwner xClipboardOwner)
| Sets the current contents of the clipboard to the specified transferable object and registers the specified clipboard owner as the owner of the new contents.
string | getName ()
| To get the name of the clipboard instance.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XClipboardNotifier
void | addClipboardListener ([in] XClipboardListener listener)
| Requests notifications on clipboard content changes.
void | removeClipboardListener ([in] XClipboardListener listener)
| Removes listener from notification list.
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Protected Member Functions inherited from XFlushableClipboard
void | flushClipboard ()
| Renders the current content of the clipboard to the system so that it is available even if the source application no longer exist.
Protected Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.

## Detailed Description

Provides a unified interface for new-style service SystemClipboard.

Since
  LibreOffice 4.2

## Exported Interfaces

## ◆ com::sun::star::lang::XComponent

interface com::sun::star::lang::XComponent

For shutdown and listener support.

## ◆ XClipboardEx

interface XClipboardEx

Provides access to the clipboard content.

## ◆ XClipboardNotifier

interface XClipboardNotifier

Provides the ability to request notifications on content changes.

## ◆ XFlushableClipboard

interface XFlushableClipboard
| optional

Provides the ability to render the complete clipboard content.

This interface is only available if the method com::sun::star::datatransfer::clipboard::XClipboardEx::getRenderingCapabilities() returns Persistent

The documentation for this interface was generated from the following file:

- com/sun/star/datatransfer/clipboard/XSystemClipboard.idl